View Issue Details

IDProjectCategoryView StatusLast Update
0013470ScribusCanvaspublic2015-12-08 12:19
ReporterKunda Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSXOSYosemiteOS Version10.10.5
Product Version1.5.1svn 
Target VersionFixed in Version1.4.6.svn 
Summary0013470: Missing Layout Update/Display Refresh for Text boxes using certain 'align and distribute' buttons
DescriptionWhen moving single text frames via align and distribute doesn't refresh canvas.
Doing the same with grouped text frames that are chained, their text chain lines are not visible after certain operations.
Steps To Reproduce1) View > Text Frames > Show Text Frames
2) Windows > Align & Distribute
3) In Align & Distribute menu change 'Relative to:' field to 'Page'
4) Create two text frames.
5) Chain text frames together
6) highlight one text frame
7) Press 'Align right sides of items to left side of anchor"
Canvas doesn't refresh until you click on it

Edit: Steps 4 can also be reproduced with making just one text box. Step 5 can be skipped.

Step 7 can be substituted with the button: "Align bottoms of items on top of anchor" (the button right under the one in this bug report)
TagsHOST-Oman
PatchNo

Relationships

related to 0013468 assignedcbradney If chained frames touching each other, in case marker arrow shown in wrong place. 
related to 0008548 closedjghali redrawing the canvas goes wrong when object moved with arrow keys forcing the canvas to scroll 
child of 0013075 acknowledged Metabug: missing display refresh 

Activities

Kunda

2015-10-25 18:16

manager  

as.bahanta

2015-11-05 06:10

reporter   ~0037237

Hi,
I was able to Reproduce this bug on svn1.5.1 Ubuntu 14.04,

Kunda

2015-11-06 12:42

manager   ~0037278

Fixed on MacOS 10.10.5 1.5.1svn r20538
Fixed by jghali in r20537
Thanks

Kunda

2015-11-10 20:51

manager   ~0037398

Closing

jghali

2015-12-08 12:11

administrator   ~0037879

Backported fix to 1.4.6.svn

Kunda

2015-12-08 12:19

manager   ~0037880

r20616

Issue History

Date Modified Username Field Change
2015-10-25 18:16 Kunda New Issue
2015-10-25 18:16 Kunda File Added: align-distribute-refresh-bug.gif
2015-10-25 18:16 Kunda Issue generated from: 0013075
2015-10-25 18:16 Kunda Relationship added child of 0013075
2015-10-25 18:22 Kunda Steps to Reproduce Updated View Revisions
2015-10-25 18:23 Kunda Steps to Reproduce Updated View Revisions
2015-10-25 18:27 Kunda Steps to Reproduce Updated View Revisions
2015-10-25 18:29 Kunda Description Updated View Revisions
2015-10-25 18:34 Kunda Summary Missing Layout Update/Display Refresh for Text Chain lines/arrows => Missing Layout Update/Display Refresh for Text boxes using certian 'align and distribute' buttons
2015-11-01 17:27 as.bahanta Tag Attached: HOST-Oman
2015-11-05 06:10 as.bahanta Note Added: 0037237
2015-11-06 07:37 jghali Status new => resolved
2015-11-06 07:37 jghali Fixed in Version => 1.5.1svn
2015-11-06 07:37 jghali Resolution open => fixed
2015-11-06 07:37 jghali Assigned To => jghali
2015-11-06 11:34 Kunda Relationship added related to 0008548
2015-11-06 12:42 Kunda Note Added: 0037278
2015-11-07 12:05 Kunda Summary Missing Layout Update/Display Refresh for Text boxes using certian 'align and distribute' buttons => Missing Layout Update/Display Refresh for Text boxes using certain 'align and distribute' buttons
2015-11-10 20:51 Kunda Relationship added related to 0013468
2015-11-10 20:51 Kunda Note Added: 0037398
2015-11-10 20:51 Kunda Status resolved => closed
2015-12-08 12:11 jghali Note Added: 0037879
2015-12-08 12:11 jghali Status closed => resolved
2015-12-08 12:11 jghali Fixed in Version 1.5.1svn => 1.4.6.svn
2015-12-08 12:11 jghali Status resolved => closed
2015-12-08 12:19 Kunda Note Added: 0037880